<?php
/**
 * @var \Illuminate\Database\Eloquent\Collection $module
 * @var int $page_number
 */

use app\modules\module_shop\models\ModuleShop;
use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\IGTabel\action_column\DeleteActionColumn;
use kernel\IGTabel\action_column\ViewActionColumn;
use kernel\IGTabel\btn\PrimaryBtn;

$table = new ListEloquentTable(new EloquentDataProvider(\app\modules\module_shop\models\ModuleShop::class, [
    'currentPage' => $page_number,
    'perPage' => 8,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/module_shop",
]));

$table->columns([
    'status' => function ($data) {
        return ModuleShop::getStatus()[$data];
    }
]);
$table->beforePrint(function () {
    return PrimaryBtn::create("Создать", "/admin/module_shop/create")->fetch();
    //return (new PrimaryBtn("Создать", "/admin/user/create"))->fetch();
});
$table->addAction(ViewActionColumn::class);
$table->addAction(DeleteActionColumn::class);
$table->create();
$table->render();